%define content design-graphics
%define theme kdesktop
%define pkgtheme kdesktop

Name: %content-%pkgtheme
%define major 12
%define minor 0
%define bugfix 0
Version: %major.%minor.%bugfix
Release: alt0.M51.1

Summary: design for ALT
License: Different licenses
Group: Graphics

BuildArch: noarch

PreReq(post,preun): alternatives >= 0.2
Provides: gnome-session-splash = %version-%release
Obsoletes: gnome-session-splash < %version-%release
#
Provides: design-graphics = %version-%release
Obsoletes: design-graphics < %version-%release
%if "%theme" != "%pkgtheme"
Provides: design-graphics-%theme = %version-%release
Obsoletes: design-graphics-%theme
%endif
Provides: branding-altlinux-desktop-graphics = 5.0.0
Obsoletes: branding-altlinux-desktop-graphics < 5.0.0

# Gnome splash screen from art.gnome.org
# Name: GNOME2-Mountains
# Author: Roman "star" Beigelbeck <roman_n0spam@gnome.org>
# Release Date: 08/06/2002
Source0: %content-%theme-%version.tar.gz

BuildRequires: libalternatives-devel

%description
This package contains some graphics for ALT design.

%prep
%setup -q -n %content-%theme-%version

%build

%install
mkdir -p %buildroot/%_datadir/design/%theme
cp -ar %_builddir/%content-%theme-%version/* %buildroot/%_datadir/design/%theme

pushd %buildroot/%_datadir/design/%theme
    pushd backgrounds
	#ln -sf ../../../wallpapers more
	ln -sf %_datadir/wallpapers more
    popd
popd

install -d %buildroot//etc/alternatives/packages.d
ALTPRIO=`printf '%%.3d%%.3d%%.3d%%.3d\n' 0 %major %minor %bugfix`
cat >%buildroot/etc/alternatives/packages.d/%content-%theme <<__EOF__
%_datadir/design-current	%_datadir/design/%theme	$ALTPRIO
%_datadir/design/current	%_datadir/design/%theme	$ALTPRIO
__EOF__


%files
%config /etc/alternatives/packages.d/%content-%theme
%_datadir/design

%changelog
* Wed Nov 11 2009 Sergey V Turchin <zerg@altlinux.org> 12.0.0-alt0.M51.1
- built for M51

* Mon Nov 09 2009 Sergey V Turchin <zerg@altlinux.org> 12.0.0-alt1
- initial build
